Subject: Re: bug#7785: rgrep is broken on woe32

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jan 2011 20:48:49 +0200

> Date: Thu, 6 Jan 2011 11:51:05 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> >> this works just fine, like on linux:
> >> PATH=/cygdrive/c/gnu/gnuwin32/bin:$PATH emacs -q
> >>
> >> moreover,
> >> emacs -q
> >> and moving gnuwin dir to the beginning of exec-path with
> >> (let ((gw "c:/gnu/gnuwin32/bin"))
> >>   (setq exec-path (cons gw (delete gw exec-path))))
> >> also works fine.
> >
> > ?  What is different between these 2 "working" instances and what you
> > tried now?
> 
> OOPS. these no longer work. both produce this:

Something's changed.  Perhaps you could remember whether you changed
something in between.

> >> 'c:' is not recognized as an internal or external command,
> >> operable program or batch file.
> >
> > This is because "c:/gnu/gnuwin32/bin/xargs", which is after the pipe
> > symbol, is not quoted.  So this is something I do understand.
> 
> yes, that other cmdproxy issue - any change it will be addressed any time soon?

I'd like to hear from Stefan or Chong before I make that change.  In
the meantime, you can do that in your sandbox: just edit the templates
used by grep.el to quote the %s after the pipe symbol.

> thanks again for your time and compassion...

You are welcome, and sorry you are having all this trouble.